#include "Arduino.h"

void setup() {
  Serial.begin(9600);
  delay(500);
  sendCommand(0x09, 0, 2);    //select sd-card
  delay(500);
  sendCommand(0x06, 0, 25);   //set volume 20 (volume range: 0-30)
  delay(100);
}

void sendCommand(byte command, byte data_h, byte data_l) {
  byte buf[8];
  buf[0] = 0x7E;  //start byte
  buf[1] = 0xFF;  //address
  buf[2] = 0x06;  //number of bytes of command without starting and ending byte
  buf[3] = command;  //command
  buf[4] = 0x00;  //0x00 = not feedback, 0x01 = feedback
  buf[5] = data_h;  //data high byte
  buf[6] = data_l;  //data low byte
  buf[7] = 0xEF;  //end byte

  for(int i=0; i < 8; i++) {
    Serial.write(buf[i]);   //send 8 byte data to serial port
  }
}

void loop() {
  sendCommand(0x06, 0, 30);   //set volume 30
  delay(15);                                      //Minimum 10ms!
  sendCommand(0x03, 0, 7);    //play 7. song
  delay(2000);
  sendCommand(0x06, 0, 15);   //set volume 15
  delay(15);                                      //Minimum 10ms!
  sendCommand(0x03, 0, 1);    //play 1. song

  delay(2000);

}
